import { ComponentFactoryResolver, ComponentFactory, Injector, ComponentRef, ViewRef, ApplicationRef } from "@angular/core";
import { DocumentRef } from "../document-ref";
import { ModalComponent } from "./modal.component";
export declare class ModalService {
    private cfr;
    private appRef;
    private doc;
    private injector;
    constructor(cfr: ComponentFactoryResolver, appRef: ApplicationRef, doc: DocumentRef, injector: Injector);
    insert(viewRef: ViewRef): ViewRef;
    createComponent<C>(cf: ComponentFactory<C>): ComponentRef<C>;
    open({id, component, width, data, handler, backdropCloseable, onClose, beforeHidden}: {
        id: any;
        component: any;
        width: any;
        data: any;
        handler: any;
        backdropCloseable: any;
        onClose: any;
        beforeHidden: any;
    }): {
        modalInstance: ModalComponent;
        modalContentInstance: {};
    };
}
